#######################################################################################
# This file sets constants that determine the analysis being done and the name of the
# output folder in which to put the results, which includes a date.  EDIT THIS PRIOR
# TO RUNNING AN ANALYSIS!
#######################################################################################

################################################################################
# analysisVariant
#
# Set a value to choose variations on the analysis.  THIS MUST BE SET PRIOR TO
# RUNNING AN ANALYSIS!!!  RETAIN ALL ALTERNATE VALUES IN A COMMENTED OUT STATE
# SO YOU CAN SEE WHAT VALUES ARE SUPPORTED.
#
# IF YOU CHANGE THIS, SEARCH ALL FILES IN THIS FOLDER FOR "analysisVariant" AND
# MAKE THEM HANDLE ANY NEW VALUE YOU ASSIGN.
################################################################################
#analysisVariant = "Orig" # Original analysis.
#analysisVariant = "rmvSamp" # Reanalyzed due to some plate dates wrong and removal of roots that weren't harvested at either 3 or 4 d.a.g.
#analysisVariant = "thirdsAngs" # Replace tenthAng/quarterAng/wholeAng with first3rdAng/mid3rdAng/last3rdAng.
#analysisVariant = "thirdsAngB" # Add trait groups tipAngNotFirst3rdAng and first3rdAngNotTipAng.
analysisVariant = "thirdsAngB" # Add trait groups tipAngNotFirst3rdAng and first3rdAngNotTipAng.

################################################################################
# fileDate
#
# THIS IS SET TO A DIFFERENT DATE FOR EACH ANALYSIS.  HOWEVER, YOU CAN CHANGE
# THE DATE THAT IS SET.  THIS DATE IS PART OF THE OUTPUT DIRECTORY NAME.
# Be careful that you don't overwrite files already generated that are to be
# kept.  Use a new date value to rerun the analysis but put the output in a new
# directory.
################################################################################
{
if (analysisVariant == "Orig")
    fileDate = "05Feb2015"
else if (analysisVariant == "rmvSamp")
    fileDate = "18Mar2015"
else if (analysisVariant == "thirdsAngs")
    fileDate = "11May2015"
else if (analysisVariant == "thirdsAngB")
    fileDate = "13Jul2015"
else
    stop("Bad analysisVariant value")
}

#######################################################################################
# End of file.
#######################################################################################
cat("Include_setAnalysisAndDate.R included\n")
