#######################################################################################
# File that is "sourced" or "included" by the root R source code file named
# "Include_RootRsourceFile.R".
#
# ****************** EDIT THIS FILE TO YOUR OWN PREFERENCES ******************
#
# Author: Ted Toal
# Lab: Brady
# Date: June 2015
#######################################################################################

cat("Including Include_Customizations.R\n")

#######################################################################################
# Change the name here to your USER NAME to get rid of this error message.
#######################################################################################

if (Sys.getenv("USER") != "tedtoal")
    stop("You need to edit file Include_Customizations.R")

#######################################################################################
# If you want to, define variables here that equal the file pathname for other R files
# that you commonly source (i.e. include) into your R code, so you don't have to put
# the same pathname in many different R code files.
#######################################################################################

# First I define a bunch of folder paths for the paths of R "source" files I often use.
# YOU MAY DELETE THESE OR REPLACE THEM WITH YOUR OWN DESIRED DEFINITIONS.  HOWEVER, YOU
# SHOULD AT LEAST HAVE AN RincludeDir HERE.
RincludeDir = sub(paste(PATHSEP, "$", sep=""), "", R_INCLUDE_DIR)
BradyLabDir = "/Users/tedtoal/Documents/UCDavis/BradyLab"
genomeDbDir = paste(BradyLabDir, "Genomes", sep=PATHSEP)
TomatoILsBILsDir = paste(BradyLabDir, "TomatoILsBILs", sep=PATHSEP)
AngleGeneAnalysisDir = paste(BradyLabDir, "AngleGeneAnalysis", sep=PATHSEP)
SpaldingDir = paste(AngleGeneAnalysisDir, "SpaldingLab", sep=PATHSEP)
SpaldingAnalysisDir = paste(SpaldingDir, "Analysis_Rot", sep=PATHSEP)
phenoAnalysisDir = paste(BradyLabDir, "PhenoAnalysis", sep=PATHSEP)
Seq = paste(BradyLabDir, "Seq", sep=PATHSEP)
phenoRNAseqRootSep2011Dir = paste(BradyLabDir, "CellCountingGravity", sep=PATHSEP)

# Next I define paths to R "source" file in the above folders.
# YOU MAY DELETE THESE OR REPLACE THEM WITH YOUR OWN DESIRED DEFINITIONS.  HOWEVER, YOU
# SHOULD AT LEAST HAVE AN Include_UtilityFunctions HERE.
Include_UtilityFunctions = paste(RincludeDir, "Include_UtilityFunctions.R", sep=PATHSEP)
Include_xlsx = paste(RincludeDir, "Include_xlsx.R", sep=PATHSEP)
Include_Html = paste(RincludeDir, "Include_Html.R", sep=PATHSEP)
Include_Html2 = paste(RincludeDir, "Include_Html2.R", sep=PATHSEP)
Include_GenomeDb = paste(genomeDbDir, "Include_GenomeDb.R", sep=PATHSEP)
Include_BiolCatEnrichmentTesting = paste(genomeDbDir, "Include_BiolCatEnrichmentTesting.R", sep=PATHSEP)
Include_SetEnrichmentTesting = paste(genomeDbDir, "Include_SetEnrichmentTesting.R", sep=PATHSEP)
Include_TomatoILsBILs = paste(TomatoILsBILsDir, "Include_TomatoILsBILs.R", sep=PATHSEP)
Include_phenoAnalysis = paste(phenoAnalysisDir, "Include_phenoAnalysis.R", sep=PATHSEP)
Include_phenoRNAseqRootSep2011 = paste(phenoRNAseqRootSep2011Dir, "Include_phenoRNAseqRootSep2011.R", sep=PATHSEP)
Include_Seq = paste(Seq, "Include_Seq.R", sep=PATHSEP)

#######################################################################################
# End of file.
#######################################################################################
Sourced.Include_Customizations = TRUE
cat("  Include_Customizations.R included\n")
